]> git.pld-linux.org Git - packages/atftp.git/commitdiff
- init script for standalone version of atftpd, based on rsyncd script
authorhawk <hawk@pld-linux.org>
Thu, 14 Sep 2006 21:17:21 +0000 (21:17 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    atftpd.init -> 1.1

atftpd.init [new file with mode: 0644]

diff --git a/atftpd.init b/atftpd.init
new file mode 100644 (file)
index 0000000..f71f7d9
--- /dev/null
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# atftpd       This shell script takes care of starting and stopping atftpd
+#
+# chkconfig:   345 90 25
+# description: tftp daemon
+# processname: atftpd
+#
+# pidfile:     /var/run/atftpd.pid
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
+               msg_network_down atftpd
+               exit 1
+       fi
+else
+       exit 0
+fi
+
+# Get service configuration
+[ -f /etc/sysconfig/atftpd ] && . /etc/sysconfig/atftpd
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       # Start daemons.
+       if [ ! -f /var/lock/subsys/atftpd ]; then
+               msg_starting atftpd
+               daemon atftpd --daemon --pidfile /var/run/atftpd.pid --user tftp ${ATFTPD_OPTIONS} ${ATFTPD_DIRECTORY}
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/atftpd
+       else
+               msg_already_running atftpd
+       fi
+       ;;
+  stop)
+       # Stop daemons.
+       if [ -f /var/lock/subsys/atftpd ]; then
+               msg_stopping atftpd
+               killproc atftpd
+               rm -f /var/lock/subsys/atftpd >/dev/null 2>&1
+       else
+               msg_not_running atftpd
+       fi
+       ;;
+  restart|reload|force-restart|force-reload)
+       $0 stop
+       $0 start
+       exit $?
+       ;;
+  status)
+       status atftpd atftpd
+       exit $?
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|reload|force-restart|force-reload|status}"
+       exit 3
+esac
+
+exit $RETVAL
This page took 0.103904 seconds and 4 git commands to generate.